# -*- mode: yaml; indent-tabs-mode: nil; tab-width: 2; coding: utf-8-unix -*-
---

- name: "DEBUG: Including proxy Ubuntu.yml"
  debug:
    verbosity: 1
    msg: "DEBUG: Including proxy Ubuntu.yml"

- name: install proxy_debs_inst packages
  environment:
    - "RUNLEVEL": 1
  shell: |
    apt-get install {{ proxy_debs_inst|join(' ') }} -y \
        {{ '--print-uris' if BASE_ARE_CONNECTED|default('') == '' else '' }}
  ignore_errors: "{{ BASE_PKG_IGNORE_ERRORS }}"
  when:
    - not ansible_check_mode

- name: install cntlm packages
  environment:
    - "RUNLEVEL": 1
  apt:
    force_apt_get: true
    name: "cntlm"
    state: latest
    update_cache: no
  ignore_errors: "{{ BASE_PKG_IGNORE_ERRORS }}"
  when:
    - not ansible_check_mode
    - BASE_ARE_CONNECTED|default('') != ''

- name: "/etc/default/console-setup"
  lineinfile:
    dest: /etc/default/console-setup
    regexp: "^#* *{{item.name}}.*"
    line: '{{ item.name }}="{{ item.val }}"'
    state: present
  with_items:
      - { name: FONTFACE, val: "TerminusBold" }
      - { name: FONTSIZE, val: "12x24" }

